---
title: Crypto.subtle
slug: Web/API/Crypto/subtle
tags:
  - API
  - Cryptography
  - Property
  - Read-only
  - Reference
  - Web Crypto API
---
<p>{{APIRef("Web Crypto API")}}{{SecureContext_header}}</p>

<p>The <strong><code>Crypto.subtle</code></strong> read-only property returns a {{domxref("SubtleCrypto")}} which can then be used to perform low-level cryptographic operations.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>crypto</em> = crypto.subtle;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("SubtleCrypto")}} object you can use to interact with the Web Crypto API's low-level cryptography features.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('Web Crypto API', '#dfn-Crypto', 'Crypto.subtle') }}</td>
   <td>{{ Spec2('Web Crypto API') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Crypto.subtle")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Crypto")}}.</li>
 <li>{{domxref("SubtleCrypto")}}.</li>
 <li><a href="https://vibornoff.github.io/webcrypto-examples/index.html">Compatibility test page</a>.</li>
 <li><a href="https://github.com/vibornoff/webcrypto-shim">Shim for IE11 and Safari</a>.</li>
</ul>
